


let shoCode=`

function getNumberInNormalDistribution(mean,std_dev)
{
    return mean+(randomNormalDistribution()*std_dev);
}

function randomNormalDistribution()
{
    var u=0.0, v=0.0, w=0.0, c=0.0;
    do
    {
        //获得两个（-1,1）的独立随机变量
        u=Math.random()*2-1.0;
        v=Math.random()*2-1.0;
        w=u*u+v*v;
    }while(w==0.0||w>=1.0)
    /\/这里就是 Box-Muller转换
    /\/取值范围 (0，无穷)
    c=Math.sqrt(-1*Math.log(w)/w);

    /\/取值范围，不包含0，数据中间密集，两边稀疏 (-无穷，无穷)
    return u*c;
}

`

$M.find('#_code').innerHTML=shoCode
.replace(/\n/g,'<br/>')
.replace(/\s/g,'&nbsp;')
.replace(/\//g,'\/')